Bug 1200285 - rsyslog7 is missing python-docutils in buildrequires
Summary: rsyslog7 is missing python-docutils in buildrequires
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog7
Version: 6.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Tomas Heinrich
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 08:22 UTC by Karel Srot
Modified: 2016-09-20 04:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-13 06:56:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Srot 2015-03-10 08:22:39 UTC
Description of problem:

python-docutils should be listed in BuildRequires.
If python-docutils are not installed the rebuild fails with:

checking for rst2man... no
configure: error: in `/tmp/tmp.fuWOwPayoC/rsyslog-7.4.10':
configure: error: rst2man not found in PATH

rsyslog7-7.4.10-3.el6_6.x86_64

Comment 1 Tomas Heinrich 2015-11-12 22:55:14 UTC
Karel, I don't think rst2man should be required during the build. Did you do a plain rebuild or were there some tweaks to the rpm?

I've checked the configure script and without certain options, which are not used in the spec file, the check for rst2man shouldn't be used.

I've also done several scratch-builds in the meantime and they passed, so I'm puzzled by this outcome. Could you please recheck?

Comment 2 Karel Srot 2015-11-13 06:56:55 UTC
Unfortunately, I don't remember. Anyway, I can't reproduce this issue so I think that the bug could be closed.


Note You need to log in before you can comment on or make changes to this bug.